
Foreman - Bug #16765

IPAM unused IP error: undefined method `include?' for nil:NilClass

10/01/2016 07:07 PM - tomas nemame

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Network   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3908

  

Description

Hi,

i have problem with internal IPAM

auto suggestion doesn't work, seems to be a problem with "taken_ips"=>["", ""] undefined method include? for nil:NilClass

for more information, please see attached ipam log

1. hammer subnet info --id 2

Id:            2

Name:          BestDC-1.1.1.122-130

Network:       1.1.1.0

Mask:          255.255.255.0

Priority:

DNS:           foreman.domain.tld (https://foreman.domain.tld:8443)

Primary DNS:   8.8.8.8

Secondary DNS: 8.8.4.4

TFTP:          foreman.domain.tld (https://foreman.domain.tld:8443)

DHCP:          foreman.domain.tld (https://foreman.domain.tld:8443)

IPAM:          Internal DB

VLAN ID:

Gateway:       1.1.1.1

From:          1.1.1.122

To:            1.1.1.130

Domains:

domain.tld

Related issues:

Related to Foreman - Feature #14661: Support IPv6 Subnets Closed 04/15/2016

Associated revisions

Revision ce52ced8 - 10/03/2016 12:03 PM - Marek Hulán

Fixes #16765 - DB IPAM works with excluded IPs

Revision d93bb47e - 10/04/2016 01:32 PM - Marek Hulán

Fixes #16765 - DB IPAM works with excluded IPs

(cherry picked from commit ce52ced8ba7904566048b4dc4f4a581ec08ab118)

History

#1 - 10/03/2016 03:02 AM - Dominic Cleal

- Project changed from Plugins to Foreman

- Subject changed from IPAM error to IPAM unused IP error: undefined method `include?' for nil:NilClass

- Category set to Network
- Priority changed from High to Normal

- Difficulty deleted (easy)

#2 - 10/03/2016 06:17 AM - Marek Hulán

- Related to Feature #14661: Support IPv6 Subnets added

#3 - 10/03/2016 06:31 AM - Marek Hulán

- Status changed from New to Assigned

- Assignee set to Marek Hulán

Introduced by 

https://github.com/theforeman/foreman/commit/e263719ad3ac70f56ab8fa3511a733d82b3e4833#diff-150923539d83f563f47fbf488e6ee017R56:typo

in rubocop PR. Anyway the fix adds extra level of safety since suggest_ip now uses attribute which is not guaranteed to be present.

#4 - 10/03/2016 06:31 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3908 added

#5 - 10/03/2016 06:38 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#6 - 10/03/2016 01:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ce52ced8ba7904566048b4dc4f4a581ec08ab118.
